> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List tenant outcomes

> List Outcomes for the authenticated tenant. Filters compose with AND…

List Outcomes for the authenticated tenant.

Filters compose with AND. Default sort: most recently completed first
(then most recently created for PENDING rows whose completed\_at is NULL).

### Query parameters

<ParamField query="type" type="string,null" />

<ParamField query="status" type="string,null" />

<ParamField query="inquiry_id" type="string,null" />

<ParamField query="completed_after" type="string (date-time),null" />

<ParamField query="completed_before" type="string (date-time),null" />

<ParamField query="limit" type="integer" />

<ParamField query="offset" type="integer" />

### Response

`OutcomeListResponse`

<ResponseField name="items" type="OutcomeRead[]" required>
  <Expandable title="OutcomeRead">
    <ResponseField name="id" type="string (uuid)" required />

    <ResponseField name="tenant_id" type="string (uuid)" required />

    <ResponseField name="type" type="string" required />

    <ResponseField name="status" type="string" required />

    <ResponseField name="inquiry_id" type="string" required />

    <ResponseField name="price_usd" type="string" required />

    <ResponseField name="completion_criterion" type="object" />

    <ResponseField name="verification_record" type="object" />

    <ResponseField name="system_of_record_event_id" type="string,null" />

    <ResponseField name="job_id" type="string (uuid),null" />

    <ResponseField name="parent_outcome_id" type="string (uuid),null" />

    <ResponseField name="triggered_human_handoff" type="boolean" />

    <ResponseField name="high_value_action" type="boolean" />

    <ResponseField name="created_at" type="string (date-time)" required />

    <ResponseField name="completed_at" type="string (date-time),null" />

    <ResponseField name="resolution_window_expires_at" type="string (date-time),null" />

    <ResponseField name="dispute_window_expires_at" type="string (date-time),null" />

    <ResponseField name="updated_at" type="string (date-time)" required />

    <ResponseField name="extra_metadata" type="object" />

    <ResponseField name="stripe_meter_event_id" type="string,null" />
  </Expandable>
</ResponseField>

<ResponseField name="total" type="integer" required />

<ResponseField name="limit" type="integer" required />

<ResponseField name="offset" type="integer" required />

<ResponseField name="next_cursor" type="string,null" />

### Status codes

| Code  | Meaning             |
| ----- | ------------------- |
| `200` | Successful Response |
| `422` | Validation Error    |

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url 'https://api.computer.stateset.app/api/v1/outcomes' \
    --header 'X-API-Key: YOUR_API_KEY'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "items": [
      {
        "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "tenant_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "type": "resolved_contact",
        "status": "pending",
        "inquiry_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "price_usd": "string",
        "completion_criterion": {},
        "verification_record": {},
        "system_of_record_event_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "job_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "parent_outcome_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "triggered_human_handoff": false,
        "high_value_action": false,
        "created_at": "2026-08-31T14:22:05Z",
        "completed_at": "2026-08-31T14:22:05Z",
        "resolution_window_expires_at": "2026-08-31T14:22:05Z",
        "dispute_window_expires_at": "2026-08-31T14:22:05Z",
        "updated_at": "2026-08-31T14:22:05Z",
        "extra_metadata": {},
        "stripe_meter_event_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
      }
    ],
    "total": 102,
    "limit": 20,
    "offset": 1,
    "next_cursor": "string"
  }
  ```
</ResponseExample>
